import { buildUseVueMutation } from "../../../vue-query";
import { createSetWithdrawAddress, createWithdrawDelegatorReward, createWithdrawValidatorCommission, createFundCommunityPool, createUpdateParams, createCommunityPoolSpend, createDepositValidatorRewardsPool } from "./tx.rpc.func";
export const useSetWithdrawAddress = buildUseVueMutation({
    builderMutationFn: createSetWithdrawAddress
});
export const useWithdrawDelegatorReward = buildUseVueMutation({
    builderMutationFn: createWithdrawDelegatorReward
});
export const useWithdrawValidatorCommission = buildUseVueMutation({
    builderMutationFn: createWithdrawValidatorCommission
});
export const useFundCommunityPool = buildUseVueMutation({
    builderMutationFn: createFundCommunityPool
});
export const useUpdateParams = buildUseVueMutation({
    builderMutationFn: createUpdateParams
});
export const useCommunityPoolSpend = buildUseVueMutation({
    builderMutationFn: createCommunityPoolSpend
});
export const useDepositValidatorRewardsPool = buildUseVueMutation({
    builderMutationFn: createDepositValidatorRewardsPool
});
